Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_Glow.compositor
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_Glow.compositor	(revision 777)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_Glow.compositor	(revision 788)
@@ -9,14 +9,13 @@
         texture prev 256 256 PF_FLOAT16_RGBA
    
-		// target prev
-		//{
-		//	input none
-		//	only_initial on
-		//	pass clear
-		//	{
-		//		buffers colour
-		//		colour_value 0 0 0 0
-		//	}
-		//}
+		target prev
+		{
+			input none
+			only_initial on
+			pass render_quad
+			{
+				material GameTools/PostProcBlack				
+			}
+		}
 		
         target scene
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.program
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.program	(revision 777)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.program	(revision 788)
@@ -4,4 +4,12 @@
 	entry_point defaultVS
 	target vs_2_0
+} 
+
+fragment_program GameTools/FragmentPrograms/PostProc_Black hlsl
+{
+	source GameTools_PostProc.hlsl
+	entry_point BlackPS
+	target ps_2_0
+
 } 
 
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material	(revision 777)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material	(revision 788)
@@ -34,4 +34,20 @@
 }
 
+material GameTools/PostProcBlack
+{
+	technique 
+   { 
+   	pass 
+      {
+		vertex_program_ref GameTools/VertexPrograms/PostProc1_VS
+         {       
+         } 
+		fragment_program_ref GameTools/FragmentPrograms/PostProc_Black
+         { 
+	
+         }
+       }
+    }
+}
 material GameTools/PostProc1
 {
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_PostProc.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_PostProc.hlsl	(revision 777)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_PostProc.hlsl	(revision 788)
@@ -34,4 +34,8 @@
 }
 
+float4 BlackPS(VS_OUT IN):COLOR
+{
+	return float4(0,0,0,1);
+}
 
 float4 GlowCutPS(VS_OUT IN,
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_CausticSoftShadow.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_CausticSoftShadow.hlsl	(revision 777)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_CausticSoftShadow.hlsl	(revision 788)
@@ -58,5 +58,7 @@
     half3 tNormal = tex2D(NormalMap, IN.texCoord).rgb;     	
    
+   
     half3 wNormal =mul(tNormal, ModelToTangent );
+    wNormal = IN.Normal;
     wNormal = normalize(mul( wNormal, world_IT ));
 ///shading
Index: GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/include/GameToolsParticleDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/include/GameToolsParticleDemo.h	(revision 777)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/include/GameToolsParticleDemo.h	(revision 788)
@@ -102,9 +102,16 @@
 	}
 
-
+	void createPostproc()
+	{
+		CompositorManager::getSingleton().addCompositor(mWindow->getViewport(0),
+														"GameTools/Glow");
+		CompositorManager::getSingleton().setCompositorEnabled(mWindow->getViewport(0),
+														"GameTools/Glow", true);
+	}
     
 
 	void createScene(void)
     {
+		createPostproc();
 
 		OgreIlluminationManager::getSingleton().setMainCamera(mCamera);
Index: GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h	(revision 777)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h	(revision 788)
@@ -198,8 +198,8 @@
 	void createPostproc()
 	{
-/*		CompositorManager::getSingleton().addCompositor(mWindow->getViewport(0),
+		CompositorManager::getSingleton().addCompositor(mWindow->getViewport(0),
 														"GameTools/Glow");
 		CompositorManager::getSingleton().setCompositorEnabled(mWindow->getViewport(0),
-														"GameTools/Glow", true);*/
+														"GameTools/Glow", true);
 /*
 		CompositorManager::getSingleton().addCompositor(mWindow->getViewport(0),
